Update an ICP criteria
curl --request PUT \
--url https://api.tamtam.ai/api/v2/icp-criteria/{icpCriteriaID} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Enterprise EMEA",
"tier": 1
}
'import requests
url = "https://api.tamtam.ai/api/v2/icp-criteria/{icpCriteriaID}"
payload = {
"name": "Enterprise EMEA",
"tier": 1
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Enterprise EMEA', tier: 1})
};
fetch('https://api.tamtam.ai/api/v2/icp-criteria/{icpCriteriaID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"criteria": [
{
"id": "<string>",
"importance": "<string>",
"rule": {
"bool_eq": true,
"contains": [
"<string>"
],
"eq": 123,
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123,
"not_contains": [
"<string>"
],
"smart_verticals_contains": [
{
"id": "<string>",
"name": "<string>"
}
],
"smart_verticals_not_contains": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"account_criteria_id": "<string>",
"account_criteria_name": "<string>",
"firmographic_kind": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"tier": 123
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}ICP Criteria
Update an ICP criteria
Update an existing ICP criteria by ID.
PUT
/
v2
/
icp-criteria
/
{icpCriteriaID}
Update an ICP criteria
Authorizations
apikeyAuthbearerAuth
Account API key passed in the Authorization header
Path Parameters
ICP criteria UUID
Body
application/json
Response
OK
Rules that define this ICP — a mix of firmographic filters (HQ country, industry, employees, smart verticals, …) and custom AccountCriteria-backed rules.
Show child attributes
Show child attributes
ICP criteria UUID
ICP criteria name
Priority tier (lower = higher priority)